<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="README_8doxygen_8md" kind="file" language="Markdown">
    <compoundname>README.doxygen.md</compoundname>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline><highlight class="normal">#<sp />Core<sp />Library</highlight></codeline>
<codeline />
<codeline><highlight class="normal">##<sp />Overview</highlight></codeline>
<codeline />
<codeline><highlight class="normal">The<sp />Core<sp />Library<sp />provides<sp />basic<sp />types<sp />and<sp />utilities<sp />that<sp />can<sp />be<sp />used<sp />between<sp />different<sp />devices.<sp />This<sp />allows<sp />different<sp />libraries<sp />to<sp />share<sp />common<sp />items<sp />between<sp />themselves<sp />to<sp />avoid<sp />reimplementation<sp />and<sp />promote<sp />consistency.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">##<sp />Features</highlight></codeline>
<codeline />
<codeline><highlight class="normal">*<sp />Common<sp />result<sp />type<sp />(@ref<sp />cy_rslt_t)<sp />for<sp />reporting<sp />errors<sp />or<sp />status</highlight></codeline>
<codeline><highlight class="normal">*<sp />Common<sp />utility<sp />MACROs<sp />for</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_ASSERT`:<sp />Verifies<sp />a<sp />value<sp />and<sp />halts<sp />if<sp />invalid<sp />(if<sp />not<sp />NDEBUG)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_HALT`:<sp />Halts<sp />the<sp />application</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_UNUSED_PARAMETER`:<sp />Avoid<sp />warnings<sp />if<sp />a<sp />function<sp />argument<sp />isn't<sp />used</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_LO8`:<sp />Gets<sp />the<sp />lower<sp />8<sp />bits<sp />of<sp />a<sp />16-bit<sp />value</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_HI8`:<sp />Gets<sp />the<sp />upper<sp />8<sp />bits<sp />of<sp />a<sp />16-bit<sp />value</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_LO16`:<sp />Gets<sp />the<sp />lower<sp />16<sp />bits<sp />of<sp />a<sp />32-bit<sp />value</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_HI16`:<sp />Gets<sp />the<sp />upper<sp />16<sp />bits<sp />of<sp />a<sp />32-bit<sp />value</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SWAP_ENDIAN16`:<sp />Swaps<sp />the<sp />byte<sp />ordering<sp />of<sp />a<sp />16-bit<sp />value</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SWAP_ENDIAN32`:<sp />Swaps<sp />the<sp />byte<sp />ordering<sp />of<sp />a<sp />32-bit<sp />value</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SWAP_ENDIAN64`:<sp />Swaps<sp />the<sp />byte<sp />ordering<sp />of<sp />a<sp />64-bit<sp />value</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_GET_REG8`:<sp />Reads<sp />the<sp />8-bit<sp />value<sp />from<sp />the<sp />specified<sp />address</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SET_REG8`:<sp />Writes<sp />an<sp />8-bit<sp />value<sp />to<sp />the<sp />specified<sp />address</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_GET_REG16`:<sp />Reads<sp />the<sp />16-bit<sp />value<sp />from<sp />the<sp />specified<sp />address</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SET_REG16`:<sp />Writes<sp />the<sp />16-bit<sp />value<sp />to<sp />the<sp />specified<sp />address</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_GET_REG24`:<sp /><sp />Reads<sp />the<sp />24-bit<sp />value<sp />from<sp />the<sp />specified<sp />address</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SET_REG24`:<sp />Writes<sp />the<sp />24-bit<sp />value<sp />to<sp />the<sp />specified<sp />address</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_GET_REG32`:<sp />Reads<sp />the<sp />32-bit<sp />value<sp />from<sp />the<sp />specified<sp />register</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SET_REG32`:<sp />Writes<sp />the<sp />32-bit<sp />value<sp />to<sp />the<sp />specified<sp />register</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`_CLR_SET_FLD32U`:<sp /><sp />The<sp />macro<sp />for<sp />setting<sp />a<sp />register<sp />with<sp />a<sp />name<sp />field<sp />and<sp />value<sp />for<sp />providing<sp />get-clear-modify-write<sp />operations</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_REG32_CLR_SET`:<sp />Uses<sp />_CLR_SET_FLD32U<sp />macro<sp />for<sp />providing<sp />get-clear-modify-write<sp />operations<sp />with<sp />a<sp />name<sp />field<sp />and<sp />value<sp />and<sp />writes<sp />a<sp />resulting<sp />value<sp />to<sp />the<sp />32-bit<sp />register</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`_CLR_SET_FLD16U`:<sp />The<sp />macro<sp />for<sp />setting<sp />a<sp />16-bit<sp />register<sp />with<sp />a<sp />name<sp />field<sp />and<sp />value<sp />for<sp />providing<sp />get-clear-modify-write<sp />operations</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_REG16_CLR_SET`:<sp />Uses<sp />_CLR_SET_FLD16U<sp />macro<sp />for<sp />providing<sp />get-clear-modify-write<sp />operations<sp />with<sp />a<sp />name<sp />field<sp />and<sp />value<sp />and<sp />writes<sp />a<sp />resulting<sp />value<sp />to<sp />the<sp />16-bit<sp />register</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`_CLR_SET_FLD8U`:<sp />The<sp />macro<sp />for<sp />setting<sp />a<sp />8-bit<sp />register<sp />with<sp />a<sp />name<sp />field<sp />and<sp />value<sp />for<sp />providing<sp />get-clear-modify-write<sp />operations</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_REG8_CLR_SET`:<sp />Uses<sp />_CLR_SET_FLD8U<sp />macro<sp />for<sp />providing<sp />get-clear-modify-write<sp />operations<sp />with<sp />a<sp />name<sp />field<sp />and<sp />value<sp />and<sp />writes<sp />a<sp />resulting<sp />value<sp />to<sp />the<sp />8-bit<sp />register</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`_BOOL2FLD`:<sp />Returns<sp />a<sp />field<sp />mask<sp />if<sp />the<sp />value<sp />is<sp />not<sp />false</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`_FLD2BOOL`:<sp />Returns<sp />true,<sp />if<sp />the<sp />value<sp />includes<sp />the<sp />field<sp />mask</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SYSLIB_DIV_ROUND`:<sp />Calculates<sp />a<sp />/<sp />b<sp />with<sp />rounding<sp />to<sp />the<sp />nearest<sp />integer,<sp />a<sp />and<sp />b<sp />must<sp />have<sp />the<sp />same<sp />sign.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SYSLIB_DIV_ROUNDUP`:<sp />Calculates<sp />a<sp />/<sp />b<sp />with<sp />rounding<sp />up<sp />if<sp />remainder<sp />!=<sp />0,<sp />both<sp />a<sp />and<sp />b<sp />must<sp />be<sp />positive.</highlight></codeline>
<codeline><highlight class="normal">*<sp />MACROs<sp />to<sp />create<sp />cross<sp />compiler<sp />compatible<sp />code.<sp />Use<sp />the<sp />CY_NOINIT,<sp />CY_SECTION,<sp />CY_UNUSED,<sp />CY_ALIGN<sp />attributes<sp />at<sp />the<sp />first<sp />place<sp />of<sp />declaration/definition.<sp />For<sp />example:<sp />CY_NOINIT<sp />uint32_t<sp />noinitVar;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_NOINIT`</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_SECTION`</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_UNUSED`</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_NOINLINE`</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_ALIGN`</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_RAMFUNC_BEGIN`</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />`CY_RAMFUNC_END`</highlight></codeline>
<codeline />
<codeline><highlight class="normal">##<sp />More<sp />information</highlight></codeline>
<codeline><highlight class="normal">*<sp />[API<sp />Reference<sp />Guide](https://cypresssemiconductorco.github.io/core-lib/html/modules.html)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor,<sp />an<sp />Infineon<sp />Technologies<sp />Company](http://www.cypress.com)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor<sp />GitHub](https://github.com/cypresssemiconductorco)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[ModusToolbox](https://www.cypress.com/products/modustoolbox-software-environment)</highlight></codeline>
<codeline />
<codeline><highlight class="normal">---</highlight></codeline>
<codeline><highlight class="normal">©<sp />Cypress<sp />Semiconductor<sp />Corporation,<sp />2019-2020.</highlight></codeline>
    </programlisting>
    <location file="core_lib/README.doxygen.md" />
  </compounddef>
</doxygen>